Chuyển đến nội dung chính
POST
/
projects
Create a project
curl --request POST \
  --url https://api.youka.io/api/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "inputFileId": "<string>",
  "lyricsSource": {
    "type": "<string>"
  },
  "presetId": "<string>"
}
'
import requests

url = "https://api.youka.io/api/v1/projects"

payload = {
    "title": "<string>",
    "inputFileId": "<string>",
    "lyricsSource": { "type": "<string>" },
    "presetId": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    title: '<string>',
    inputFileId: '<string>',
    lyricsSource: {type: '<string>'},
    presetId: '<string>'
  })
};

fetch('https://api.youka.io/api/v1/projects', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "projectId": "<string>",
  "taskId": "<string>",
  "projectUrl": "<string>",
  "taskUrl": "<string>"
}

Ủy quyền

Authorization
string
header
bắt buộc

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Tiêu đề

Idempotency-Key
string

Nội dung

application/json
title
string
bắt buộc
Minimum string length: 2
inputFileId
string
bắt buộc
splitModel
enum<string>
bắt buộc
Tùy chọn có sẵn:
mdx23c,
audioshakeai,
audioshake_vocals_lead,
musicai_instrumental_only,
musicai_lead_backing_other,
musicai_with_backing_vocals,
musicai_without_backing_vocals,
uvr_mdxnet_kara_2,
bs_roformer,
mel_band_roformer_instrumental_becruily,
mel_band_roformer_instrumental_instv7_gabox,
demucs
lyricsSource
object
presetId
string

Phản hồi

202 - application/json

Project creation task accepted

projectId
string
bắt buộc
taskId
string
bắt buộc
projectUrl
string<uri>
bắt buộc
taskUrl
string<uri>
bắt buộc